groovy.util

## Class ObjectGraphBuilder.DefaultChildPropertySetter

- java.lang.Object
- - groovy.util.ObjectGraphBuilder.DefaultChildPropertySetter

All Implemented Interfaces:
  ObjectGraphBuilder.ChildPropertySetter

Enclosing class:
  ObjectGraphBuilder

    public static class ObjectGraphBuilder.DefaultChildPropertySetter
    extends Object
    implements ObjectGraphBuilder.ChildPropertySetter

Default impl that calls parent.propertyName = child
If parent.propertyName is a Collection it will try to add child to the collection.

### Constructor Summary

Constructors
Constructor and Description
`ObjectGraphBuilder.DefaultChildPropertySetter()`

### Method Summary

Methods
`void` `setChild(Object parent, Object child, String parentName, String propertyName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectGraphBuilder.DefaultChildPropertySetter

    public ObjectGraphBuilder.DefaultChildPropertySetter()

### Method Detail

#### setChild

    public void setChild(Object parent,
                Object child,
                String parentName,
                String propertyName)

Specified by:
  `setChild` in interface `ObjectGraphBuilder.ChildPropertySetter`
Parameters:
  `parent` - the parent's node value
  `child` - the child's node value
  `parentName` - the name of the parent node
  `propertyName` - the resolved relation name of the child